# KDChartMeasure.h File Reference

## Detailed Description

Declaring the class KDChart::Measure.

Definition in file KDChartMeasure.h.

`#include <QDebug>`
`#include <Qt>`
`#include <QStack>`
`#include "KDChartGlobal.h"`
`#include "KDChartEnums.h"`

Include dependency graph for KDChartMeasure.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::Measure &)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::Measure & |
| ) |

Definition at line 226 of file KDChartMeasure.cpp.

References KDChart::Measure::calculationMode(), KDChart::Measure::referenceArea(), KDChart::Measure::referenceOrientation(), and KDChart::Measure::value().

    00227 {
    00228     dbg << "KDChart::Measure("
    00229         << "value="<<m.value()
    00230         << "calculationmode="<<m.calculationMode()
    00231         << "referencearea="<<m.referenceArea()
    00232         << "referenceorientation="<<m.referenceOrientation()
    00233         << ")";
    00234     return dbg;
    00235 }